Pbmtomacp User Manual(1)

NAME
pbmtomacp - convert a PBM image to a MacPaint file

SYNOPSIS

pbmtomacp [-left left]

[-right right]

[-top top]

[-bottom bottom]

[pbmfile]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or equals signs between an option name and its value.

DESCRIPTION

This program is part of Netpbm(1) .

pbmtomacp reads a PBM image as input and produces a MacPaint file as output.

If you do not specify pbmfile, pbmtomacp uses Standard Input.

 The generated file is only the data fork of a picture. You will need a program such as mcvert to generate a Macbinary or a BinHex file that contains the necessary information to identify the file as a PNTG file to MacOS.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pbmtomacp recognizes the following command line options:

-norle
    This option tells pbmtomacp not to use any run length encoding compression in the MacPaint image it produces. This output, while not normal, conforms to MacPaint specifications and can be read by any MacPaint decoder without any special settings.

    The only value of this option is testing and experimentation. The option causes every output image to contain exactly 53072 bytes, which is the theoretical maximum size for a MacPaint image.

    Without -norle, MacPaint compresses the image as much as possible and the output size depends on the nature of the input.

-left
    -right -top -bottom These options let you define a rectangle within the image to convert. The default is the whole file. If the specified image is too large for a MacPaint-file, pbmtomacp cuts the image to fit, starting at the specified top left corner.

    These options exist for backward compatibility with an unfortunate original design. They do the same thing that you can do in a more Netpbm-like way and more flexibly by processing the input through pamcut.

SEE ALSO
macptopbm(1) , ppmtopict(1) , pamcut(1) , pbm(1) , mcvert documentation

HISTORY

pbmtomacp was added to Netpbm in 1988, written by Douwe van der Schaaf (...!mcvax!uvapsy!vdschaaf).

In 2015, Akira Urushibata replaced the program with the current version, using different logic and none of the original code. The new version used the "packed PBM" facilities of the Netpbm library and the shhopt method of command line parsing.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pbmtomacp.html